/*
 * Copyright 2006 Phidgets Inc.  All rights reserved.
 */

package com.phidgets;
import java.util.Iterator;
import java.util.LinkedList;
import com.phidgets.event.*;
public final class TextLEDPhidget extends Phidget {
	public TextLEDPhidget() throws PhidgetException {
		super(create());
	}
	private static native long create() throws PhidgetException;
	public native int getRowCount() throws PhidgetException;
	public native int getColumnCount() throws PhidgetException;
	public native int getBrightness() throws PhidgetException;
	public native void setBrightness(int brightness) throws PhidgetException;
	public native void setDisplayString(int index, String text) throws PhidgetException;
	protected final void enableDeviceSpecificEvents (boolean b) {}
}
